open Ast

let () =
  let ast1 = Query(Select([Column("ab")], [Table "b1"])) in 
  assert( Logical_plan.generate_logical_plan ast1 = Logical_plan.Scan("b1"));
  let ast2 = Query(Select([Asterisk], [Join(Table("t1"), Cross, Table("t2"), None)])) in
  assert(Logical_plan.generate_logical_plan ast2 = 
    Logical_plan.Join(
      Logical_plan.Scan("t1"), 
      Cross, 
      Logical_plan.Scan("t2")
    )
  );

